const {__} = wp.i18n;

/**
 * If Setka Editor assets was not found.
 */
export default class AssetsNotFoundError extends Error {

    constructor() {
        super(sprintf(
            __('Setka Editor can\'t be launched because Style or Grid System were removed from Style Manager or you’ve changed your license key. Please contact <a href="%s" target="_blank">Setka Editor team</a>.', 'setka-editor'),
            'https://editor.setka.io/support'
        ));
        this.theme  = null;
        this.layout = null;
    }
}
