<?php
namespace Setka\Editor\Admin\Notices;

use Korobochkin\WPKit\Notices\Notice;
use Setka\Editor\Plugin;

class AssetsLoadErrorNotice extends Notice
{
    public function __construct()
    {
        $this->setName(Plugin::NAME . '-assets-load-error');
    }

    /**
     * @inheritdoc
     */
    public function lateConstruct()
    {
        $this
            ->setView(new NoticeErrorView())
            ->getView()->setCssClasses(array_merge(
                $this->getView()->getCssClasses(),
                array('setka-editor-notice', ' setka-editor-notice-error', 'hidden')
            ));

        $content = __('Couldn\'t load Setka Editor JSON file. Please try again or contact Setka Editor team at <a href="mailto:support@setka.io">support@setka.io</a>.', Plugin::NAME);
        $content = '<p>' . $content . '</p>';

        $this->setContent($content);

        return $this;
    }

    /**
     * @inheritdoc
     */
    public function isRelevant()
    {
        $screen = get_current_screen();

        if (method_exists($screen, 'is_block_editor') && $screen->is_block_editor()) {
            return false;
        }

        if ('post' === $screen->base) {
            return true;
        }

        return false;
    }
}
