<?php
namespace Setka\Editor\Service\SystemReport;

use Setka\Editor\Service\AMP\AMPStatus;

class AMPStatisticsSection extends AbstractSection implements ArraySectionInterface
{
    /**
     * @var string
     */
    protected $title = 'Setka Editor AMP Styles Statistics';

    /**
     * @var AMPStatus
     */
    private $AMPStatus;

    /**
     * AMPStatisticsSection constructor.
     *
     * @param AMPStatus $ampStatus
     */
    public function __construct(AMPStatus $ampStatus)
    {
        $this->AMPStatus = $ampStatus;
    }

    /**
     * @inheritDoc
     */
    public function build()
    {
        return array(
            $this->AMPStatus->getCSSCounters(),
            $this->AMPStatus->getCSSList(),
            $this->AMPStatus->getCurrentSettings(),
        );
    }
}
