<?php
namespace Setka\Editor\Service\SystemReport;

use Symfony\Component\DependencyInjection\ParameterBag\ParameterBag;

class ParameterBagSection extends AbstractSection implements ArraySectionInterface
{
    /**
     * @var string
     */
    protected $title = 'Symfony DI Container ParameterBag';

    /**
     * @var array
     */
    protected $buildMethods = array(array(ParameterBag::class, 'all'));

    /**
     * @var ParameterBag
     */
    private $bag;

    /**
     * ParameterBagSection constructor.
     *
     * @param ParameterBag $bag
     */
    public function __construct(ParameterBag $bag)
    {
        $this->bag = $bag;
    }

    /**
     * @inheritDoc
     */
    public function build()
    {
        return $this->bag->all();
    }
}
