<?php
namespace Setka\Editor\Service;

class WPPostFactory
{
    /**
     * @return \WP_Post
     * @throws \UnexpectedValueException
     */
    public static function createFromGlobals()
    {
        $post = get_post();

        if (is_a($post, \WP_Post::class)) {
            return $post;
        }

        throw new \UnexpectedValueException();
    }

    /**
     * @param mixed $post
     *
     * @return bool
     */
    public static function isValidPost($post)
    {
        if (!is_a($post, \WP_Post::class)) {
            return false;
        }

        /**
         * @var $post \WP_Post
         */
        return is_int($post->ID) && $post->ID > 0;
    }
}
